/**
 *	This generated bean class Configuration matches the schema element 'configuration'.
 *
 *	Generated on Sun Feb 10 00:05:59 CET 2008
 *
 *	This class matches the root element of the XML Schema,
 *	and is the root of the following bean graph:
 *
 *	configuration <configuration> : Configuration
 *		factories <factories> : Factories
 *			factory <factory> : Factory[1,n] 	[key name='factoryNameR', keyref name='factoryNameRef' refer='tns:factoryNameR']
 *				factoryName <factoryName> : java.lang.String
 *				componentClass <componentClass> : java.lang.String
 *		components <components> : Components
 *			component <component> : Component[1,n]
 *				factoryName <factoryName> : java.lang.String
 *				componentName <componentName> : java.lang.String
 *				initFile <initFile> : java.lang.String[0,1]
 *		channels <channels> : Channels
 *			channel <channel> : Channel[1,n]
 *				channelName <channelName> : java.lang.String
 *				eventClass <eventClass> : java.lang.String[0,n]
 *		bindings <bindings> : Bindings[0,1]
 *			binding <binding> : Binding[0,n]
 *				componentName <componentName> : java.lang.String
 *				eventClass <eventClass> : java.lang.String
 *				channelName <channelName> : java.lang.String
 *		subscriptions <subscriptions> : Subscriptions[0,1]
 *			subscription <subscription> : Subscription[0,n]
 *				componentName <componentName> : java.lang.String
 *				channelName <channelName> : java.lang.String
 *				handlerName <handlerName> : java.lang.String
 *				guardMethod <guardMethod> : java.lang.String[0,1]
 *		eventCategories <eventCategories> : EventCategories[0,1]
 *			eventCategory <eventCategory> : EventCategory[1,n]
 *				categoryName <categoryName> : java.lang.String
 *				memberEventClass <memberEventClass> : java.lang.String
 *		startSequence <startSequence> : StartSequence[0,1]
 *			startComponents <startComponents> : StartComponents
 *				componentName <componentName> : java.lang.String[1,n]
 *			startChannels <startChannels> : StartChannels[0,1]
 *				channelName <channelName> : java.lang.String[0,n]
 *
 * @Generated
 */

package com.markuspage.markus.tbn.module1.adl.model;

import org.w3c.dom.*;
import org.netbeans.modules.schema2beans.*;
import java.beans.*;
import java.util.*;
import java.io.*;

// BEGIN_NOI18N

public class Configuration extends org.netbeans.modules.schema2beans.BaseBean
{

	static Vector<BeanComparator> comparators = new Vector<BeanComparator>();
	private static final org.netbeans.modules.schema2beans.Version runtimeVersion = new org.netbeans.modules.schema2beans.Version(5, 0, 0);

	static public final String FACTORIES = "Factories";	// NOI18N
	static public final String COMPONENTS = "Components";	// NOI18N
	static public final String CHANNELS = "Channels";	// NOI18N
	static public final String BINDINGS = "Bindings";	// NOI18N
	static public final String SUBSCRIPTIONS = "Subscriptions";	// NOI18N
	static public final String EVENTCATEGORIES = "EventCategories";	// NOI18N
	static public final String STARTSEQUENCE = "StartSequence";	// NOI18N

	public Configuration() {
		this(null, Common.USE_DEFAULT_VALUES);
	}

	public Configuration(org.w3c.dom.Node doc, int options) {
		this(Common.NO_DEFAULT_VALUES);
		try {
			initFromNode(doc, options);
		}
		catch (Schema2BeansException e) {
			throw new RuntimeException(e);
		}
	}
	protected void initFromNode(org.w3c.dom.Node doc, int options) throws Schema2BeansException
	{
		if (doc == null)
		{
			doc = GraphManager.createRootElementNode("tns:configuration");	// NOI18N
			if (doc == null)
				throw new Schema2BeansException(Common.getMessage(
					"CantCreateDOMRoot_msg", "tns:configuration"));
		}
		Node n = GraphManager.getElementNode("tns:configuration", doc);	// NOI18N
		if (n == null)
			throw new Schema2BeansException(Common.getMessage(
				"DocRootNotInDOMGraph_msg", "tns:configuration", doc.getFirstChild().getNodeName()));

		this.graphManager.setXmlDocument(doc);

		// Entry point of the createBeans() recursive calls
		this.createBean(n, this.graphManager());
		this.initialize(options);
	}
	public Configuration(int options)
	{
		super(comparators, runtimeVersion);
		initOptions(options);
	}
	protected void initOptions(int options)
	{
		// The graph manager is allocated in the bean root
		this.graphManager = new GraphManager(this);
		this.createRoot("tns:configuration", "Configuration",	// NOI18N
			Common.TYPE_1 | Common.TYPE_BEAN, Configuration.class);

		// Properties (see root bean comments for the bean graph)
		initPropertyTables(7);
		this.createProperty("tns:factories", 	// NOI18N
			FACTORIES, 
			Common.TYPE_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			Factories.class);
		this.createProperty("tns:components", 	// NOI18N
			COMPONENTS, 
			Common.TYPE_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			Components.class);
		this.createProperty("tns:channels", 	// NOI18N
			CHANNELS, 
			Common.TYPE_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			Channels.class);
		this.createProperty("tns:bindings", 	// NOI18N
			BINDINGS, 
			Common.TYPE_0_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			Bindings.class);
		this.createProperty("tns:subscriptions", 	// NOI18N
			SUBSCRIPTIONS, 
			Common.TYPE_0_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			Subscriptions.class);
		this.createProperty("tns:eventCategories", 	// NOI18N
			EVENTCATEGORIES, 
			Common.TYPE_0_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			EventCategories.class);
		this.createProperty("tns:startSequence", 	// NOI18N
			STARTSEQUENCE, 
			Common.TYPE_0_1 | Common.TYPE_BEAN | Common.TYPE_KEY, 
			StartSequence.class);
		this.initialize(options);
	}

	// Setting the default values of the properties
	void initialize(int options) {
		setDefaultNamespace("http://www.sics.se/adl");

	}

	// This attribute is mandatory
	public void setFactories(Factories value) {
		this.setValue(FACTORIES, value);
	}

	//
	public Factories getFactories() {
		return (Factories)this.getValue(FACTORIES);
	}

	// This attribute is mandatory
	public void setComponents(Components value) {
		this.setValue(COMPONENTS, value);
	}

	//
	public Components getComponents() {
		return (Components)this.getValue(COMPONENTS);
	}

	// This attribute is mandatory
	public void setChannels(Channels value) {
		this.setValue(CHANNELS, value);
	}

	//
	public Channels getChannels() {
		return (Channels)this.getValue(CHANNELS);
	}

	// This attribute is optional
	public void setBindings(Bindings value) {
		this.setValue(BINDINGS, value);
	}

	//
	public Bindings getBindings() {
		return (Bindings)this.getValue(BINDINGS);
	}

	// This attribute is optional
	public void setSubscriptions(Subscriptions value) {
		this.setValue(SUBSCRIPTIONS, value);
	}

	//
	public Subscriptions getSubscriptions() {
		return (Subscriptions)this.getValue(SUBSCRIPTIONS);
	}

	// This attribute is optional
	public void setEventCategories(EventCategories value) {
		this.setValue(EVENTCATEGORIES, value);
	}

	//
	public EventCategories getEventCategories() {
		return (EventCategories)this.getValue(EVENTCATEGORIES);
	}

	// This attribute is optional
	public void setStartSequence(StartSequence value) {
		this.setValue(STARTSEQUENCE, value);
	}

	//
	public StartSequence getStartSequence() {
		return (StartSequence)this.getValue(STARTSEQUENCE);
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public Factories newFactories() {
		return new Factories();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public Components newComponents() {
		return new Components();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public Channels newChannels() {
		return new Channels();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public Bindings newBindings() {
		return new Bindings();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public Subscriptions newSubscriptions() {
		return new Subscriptions();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public EventCategories newEventCategories() {
		return new EventCategories();
	}

	/**
	 * Create a new bean using it's default constructor.
	 * This does not add it to any bean graph.
	 */
	public StartSequence newStartSequence() {
		return new StartSequence();
	}

	//
	public static void addComparator(org.netbeans.modules.schema2beans.BeanComparator c) {
		comparators.add(c);
	}

	//
	public static void removeComparator(org.netbeans.modules.schema2beans.BeanComparator c) {
		comparators.remove(c);
	}
	//
	// This method returns the root of the bean graph
	// Each call creates a new bean graph from the specified DOM graph
	//
	public static Configuration createGraph(org.w3c.dom.Node doc) {
		return new Configuration(doc, Common.NO_DEFAULT_VALUES);
	}

	public static Configuration createGraph(java.io.File f) throws java.io.IOException {
		java.io.InputStream in = new java.io.FileInputStream(f);
		try {
			return createGraph(in, false);
		} finally {
			in.close();
		}
	}

	public static Configuration createGraph(java.io.InputStream in) {
		return createGraph(in, false);
	}

	public static Configuration createGraph(java.io.InputStream in, boolean validate) {
		try {
			Document doc = GraphManager.createXmlDocument(in, validate);
			return createGraph(doc);
		}
		catch (Exception t) {
			throw new RuntimeException(Common.getMessage(
				"DOMGraphCreateFailed_msg",
				t));
		}
	}

	//
	// This method returns the root for a new empty bean graph
	//
	public static Configuration createGraph() {
		return new Configuration();
	}

	public void validate() throws org.netbeans.modules.schema2beans.ValidateException {
	}

	// Special serializer: output XML as serialization
	private void writeObject(java.io.ObjectOutputStream out) throws java.io.IOException{
		out.defaultWriteObject();
		final int MAX_SIZE = 0XFFFF;
		final ByteArrayOutputStream baos = new ByteArrayOutputStream();
		write(baos);
		final byte [] array = baos.toByteArray();
		final int numStrings = array.length / MAX_SIZE;
		final int leftover = array.length % MAX_SIZE;
		out.writeInt(numStrings + (0 == leftover ? 0 : 1));
		out.writeInt(MAX_SIZE);
		int offset = 0;
		for (int i = 0; i < numStrings; i++){
			out.writeUTF(new String(array, offset, MAX_SIZE));
			offset += MAX_SIZE;
		}
		if (leftover > 0){
			final int count = array.length - offset;
			out.writeUTF(new String(array, offset, count));
		}
	}
	// Special deserializer: read XML as deserialization
	private void readObject(java.io.ObjectInputStream in) throws java.io.IOException, ClassNotFoundException{
		try{
			in.defaultReadObject();
			init(comparators, runtimeVersion);
			// init(comparators, new GenBeans.Version(1, 0, 8))
			final int numStrings = in.readInt();
			final int max_size = in.readInt();
			final StringBuffer sb = new StringBuffer(numStrings * max_size);
			for (int i = 0; i < numStrings; i++){
				sb.append(in.readUTF());
			}
			ByteArrayInputStream bais = new ByteArrayInputStream(sb.toString().getBytes());
			Document doc = GraphManager.createXmlDocument(bais, false);
			initOptions(Common.NO_DEFAULT_VALUES);
			initFromNode(doc, Common.NO_DEFAULT_VALUES);
		}
		catch (Schema2BeansException e){
			throw new RuntimeException(e);
		}
	}

	public void _setSchemaLocation(String location) {
		if (beanProp().getAttrProp("xsi:schemaLocation", true) == null) {
			createAttribute("xmlns:xsi", "xmlns:xsi", AttrProp.CDATA | AttrProp.IMPLIED, null, "http://www.w3.org/2001/XMLSchema-instance");
			setAttributeValue("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
			createAttribute("xsi:schemaLocation", "xsi:schemaLocation", AttrProp.CDATA | AttrProp.IMPLIED, null, location);
		}
		setAttributeValue("xsi:schemaLocation", location);
	}

	public String _getSchemaLocation() {
		if (beanProp().getAttrProp("xsi:schemaLocation", true) == null) {
			createAttribute("xmlns:xsi", "xmlns:xsi", AttrProp.CDATA | AttrProp.IMPLIED, null, "http://www.w3.org/2001/XMLSchema-instance");
			setAttributeValue("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance");
			createAttribute("xsi:schemaLocation", "xsi:schemaLocation", AttrProp.CDATA | AttrProp.IMPLIED, null, null);
		}
		return getAttributeValue("xsi:schemaLocation");
	}

	// Dump the content of this bean returning it as a String
	public void dump(StringBuffer str, String indent){
		String s;
		Object o;
		org.netbeans.modules.schema2beans.BaseBean n;
		str.append(indent);
		str.append("Factories");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getFactories();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(FACTORIES, 0, str, indent);

		str.append(indent);
		str.append("Components");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getComponents();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(COMPONENTS, 0, str, indent);

		str.append(indent);
		str.append("Channels");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getChannels();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(CHANNELS, 0, str, indent);

		str.append(indent);
		str.append("Bindings");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getBindings();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(BINDINGS, 0, str, indent);

		str.append(indent);
		str.append("Subscriptions");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getSubscriptions();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(SUBSCRIPTIONS, 0, str, indent);

		str.append(indent);
		str.append("EventCategories");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getEventCategories();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(EVENTCATEGORIES, 0, str, indent);

		str.append(indent);
		str.append("StartSequence");	// NOI18N
		n = (org.netbeans.modules.schema2beans.BaseBean) this.getStartSequence();
		if (n != null)
			n.dump(str, indent + "\t");	// NOI18N
		else
			str.append(indent+"\tnull");	// NOI18N
		this.dumpAttributes(STARTSEQUENCE, 0, str, indent);

	}
	public String dumpBeanNode(){
		StringBuffer str = new StringBuffer();
		str.append("Configuration\n");	// NOI18N
		this.dump(str, "\n  ");	// NOI18N
		return str.toString();
	}}

// END_NOI18N


/*
		The following schema file has been used for generation:

<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.sics.se/adl"
	xmlns:tns="http://www.sics.se/adl"
	elementFormDefault="qualified">



	<element name="factory">
		<complexType>
			<sequence>
				<element name="factoryName" type="string"
					maxOccurs="1" minOccurs="1" />
				<element ref="tns:componentClass" maxOccurs="1"
					minOccurs="1" />
			</sequence>
			
		</complexType>
		<key name="factoryNameR">
			<selector xpath="./factories/tns:factory" />
			<field xpath="./factory/tns:factoryName" />
		</key>
		<keyref name="factoryNameRef" refer="tns:factoryNameR">
			<selector xpath="./components/component" />
			<field xpath="./component/tns:factoryName" />
		</keyref>
	</element>

	<element name="factories">
		<complexType>
			<sequence>
				<element ref="tns:factory" minOccurs="1"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="components">
		<complexType>
			<sequence>
				<element ref="tns:component" minOccurs="1"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="componentName" type="string"></element>

	<element name="component">
		<complexType>
			<sequence>
				<element name="factoryName" minOccurs="1"
					maxOccurs="1" type="string">
				</element>
				<element ref="tns:componentName" minOccurs="1"
					maxOccurs="1">
				</element>
				<element name="initFile" type="string" minOccurs="0"
					maxOccurs="1">
				</element>
			</sequence>
		</complexType>
	</element>


	<element name="channel">
		<complexType>
			<sequence>
				<element ref="tns:channelName" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:eventClass" minOccurs="0"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="channelName" type="string"></element>

	<element name="eventClass" type="string"></element>


	<element name="subscriptions">
		<complexType>
			<sequence>
				<element ref="tns:subscription" minOccurs="0"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="subscription">
		<complexType>
			<sequence>
				<element ref="tns:componentName" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:channelName" minOccurs="1"
					maxOccurs="1">
				</element>
				<element name="handlerName" type="string" minOccurs="1"
					maxOccurs="1">
				</element>
				<element name="guardMethod" type="string" minOccurs="0" maxOccurs="1"></element>
			</sequence>
		</complexType>
	</element>

	<element name="configuration">
		<complexType>
			<sequence>
				<element ref="tns:factories" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:components" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:channels" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:bindings" minOccurs="0"
					maxOccurs="1">
				</element>
				<element ref="tns:subscriptions" minOccurs="0"
					maxOccurs="1">
				</element>
                <element ref="tns:eventCategories" minOccurs="0" maxOccurs="1"></element>
                <element ref="tns:startSequence" minOccurs="0"
					maxOccurs="1">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="channels">
		<complexType>
			<sequence>
				<element ref="tns:channel" minOccurs="1"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="bindings">
		<complexType>
			<sequence>
				<element ref="tns:binding" minOccurs="0"
					maxOccurs="unbounded">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="binding">
		<complexType>
			<sequence>
				<element ref="tns:componentName" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:eventClass" minOccurs="1"
					maxOccurs="1">
				</element>
				<element ref="tns:channelName" minOccurs="1"
					maxOccurs="1">
				</element>
			</sequence>
		</complexType>
	</element>

	<element name="startSequence">
		<complexType>
			<sequence>
				<element ref="tns:startComponents" minOccurs="1" maxOccurs="1"></element>
				<element ref="tns:startChannels" minOccurs="0" maxOccurs="1"></element>
			</sequence>
		</complexType>
	</element>

	<element name="startComponents">
		<complexType>
			<sequence>
				<element ref="tns:componentName" minOccurs="1" maxOccurs="unbounded"></element>
			</sequence>
		</complexType>
	</element>

	<element name="startChannels">
    	<complexType>
    		<sequence>
    			<element ref="tns:channelName" minOccurs="0" maxOccurs="unbounded"></element>
    		</sequence>
    	</complexType>
    </element>

	<element name="eventCategories">
		<complexType>
			<sequence>
				<element ref="tns:eventCategory" minOccurs="1" maxOccurs="unbounded"></element>
			</sequence>
		</complexType>
	</element>

	<element name="eventCategory">
		<complexType>
			<sequence>
				<element name="categoryName" type="string" minOccurs="1"
					maxOccurs="1">
				</element>
				<element name="memberEventClass" type="string"></element>
			</sequence>
		</complexType>
	</element>

	<element name="componentClass" type="string"></element>
</schema>
*/
